image: elixir:1.11
cache:
  key: ${CI_COMMIT_REF_SLUG}

stages:
  - test
  - publish

default:
  before_script:
    - export MIX_ENV=gitlab
    - mix local.hex --force
    - mix local.rebar --force
    - mix deps.get

test:
  stage: test
  script:
    - mix compile
    - mix test

publish_documentation:
  stage: publish
  only:
    - master
  script:
    - mix docs
    - mix hex.publish docs --yes
  when: manual

publish_package:
  stage: publish
  only:
    - master
  script:
    - mix hex.publish package --yes
  when: manual